FROM openshift/golang-builder:1.13 AS build
ENV __doozer=update BUILD_RELEASE=202103150243.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202103150243.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=d59038b OS_GIT_VERSION=4.5.0-202103150243.p0-d59038b SOURCE_DATE_EPOCH=1586981538 SOURCE_GIT_COMMIT=d59038b7ae21bcb2b66630e3dcb505bee48c8583 SOURCE_GIT_TAG=v1.4.1-15-gd59038b SOURCE_GIT_URL=https://github.com/kube-reporting/ghostunnel 

COPY . /go/src/github.com/square/ghostunnel

RUN CGO_ENABLED=0 go build -tags nopkcs11 -o /usr/bin/ghostunnel github.com/square/ghostunnel

FROM openshift/ose-base:v4.5.0.20210315.031146
ENV __doozer=update BUILD_RELEASE=202103150243.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202103150243.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=d59038b OS_GIT_VERSION=4.5.0-202103150243.p0-d59038b SOURCE_DATE_EPOCH=1586981538 SOURCE_GIT_COMMIT=d59038b7ae21bcb2b66630e3dcb505bee48c8583 SOURCE_GIT_TAG=v1.4.1-15-gd59038b SOURCE_GIT_URL=https://github.com/kube-reporting/ghostunnel 

COPY --from=build /usr/bin/ghostunnel /usr/bin/ghostunnel

ENTRYPOINT ["/usr/bin/ghostunnel"]

LABEL \
        name="openshift/ose-ghostunnel" \
        com.redhat.component="ghostunnel-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Metering Operator" \
        release="202103150243.p0" \
        io.openshift.build.commit.id="d59038b7ae21bcb2b66630e3dcb505bee48c8583" \
        io.openshift.build.source-location="https://github.com/kube-reporting/ghostunnel" \
        io.openshift.build.commit.url="https://github.com/kube-reporting/ghostunnel/commit/d59038b7ae21bcb2b66630e3dcb505bee48c8583" \
        version="v4.5.0"

